## org.apache.cassandra.thrift
Class TFramedTransportFactory

    java.lang.Object
      org.apache.cassandra.thrift.TFramedTransportFactory

All Implemented Interfaces:
  ITransportFactory

    public class TFramedTransportFactory

extends java.lang.Object
implements ITransportFactory

Constructor Summary
`TFramedTransportFactory()`

Method Summary
`org.apache.thrift.transport.TTransport` `openTransport(org.apache.thrift.transport.TSocket socket, org.apache.hadoop.conf.Configuration conf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TFramedTransportFactory

    public TFramedTransportFactory()

Method Detail

### openTransport

    public org.apache.thrift.transport.TTransport openTransport(org.apache.thrift.transport.TSocket socket,
                                                                org.apache.hadoop.conf.Configuration conf)
                                                         throws org.apache.thrift.transport.TTransportException

  Specified by:
    `openTransport` in interface `ITransportFactory`
  Throws:
    `org.apache.thrift.transport.TTransportException`

Copyright © 2013 The Apache Software Foundation